﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;

using DevExpress.Xpf.Editors;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.popupColorEdit.Palettes.Add(CustomPalette.CreateGradientPalette("Paper Colors", PredefinedColorCollections.Paper));
 
            this.popupColorEdit.Palettes.Add
            (
                new CustomPalette
                (
                    "Custom RGB Colors",
                    new List<Color>()
                    {
                        Color.FromRgb(170, 0  , 0  ),
                        Color.FromRgb(0  , 125, 0  ),
                        Color.FromRgb(0  , 0  , 170)
                    }
                )
            );
        }

        #endregion
    }
}